lib/mini_crm_web/router.ex
defmodule MiniCrmWeb.Router do
  use MiniCrmWeb, :router

  pipeline :browser do
    plug :accepts, ["html"]
    plug :fetch_session
    plug :fetch_flash
    plug :protect_from_forgery
    plug :put_secure_browser_headers
  end

  pipeline :api do
    plug :accepts, ["json"]
  end

  scope "/", MiniCrmWeb do
    pipe_through :browser

    get "/", PageController, :index
    resources "/accounts", AccountController
    resources "/opportunities", OpportunityController
    resources "/contacts", ContactController
    resources "/leads", LeadController
  end

  # Other scopes may use custom stacks.
  # scope "/api", MiniCrmWeb do
  #   pipe_through :api
  # end
end

lib/mini_crm_web/views/layout_view.ex
defmodule MiniCrmWeb.LayoutView do
  use MiniCrmWeb, :view
end

lib/mini_crm_web/templates/layout/app.html.eex
<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8"/>
    <meta http-equiv="X-UA-Compatible" content="IE=edge"/>
    <meta name="viewport" content="width=device-width, initial-scale=1.0"/>
    <title>MiniCrm · Phoenix Framework</title>
    <link rel="stylesheet" href="<%= Routes.static_path(@conn, "/css/app.css") %>"/>
    <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.8.1/css/all.css" integrity="sha384-50oBUHEmvpQ+1lW4y57PTFmhCaXp0ML5d60M1M7uH2+nqUivzIebhndOJK28anvf" crossorigin="anonymous">
  </head>
  <body>
    <header class="navbar">
      <section class="navbar-section">
        <h3 class="navbar-brand mr-2">CRM</h3>
        <h3 class="navlink">
          <%= link "Accounts", to: Routes.account_path(@conn, :index), class: "btn btn-link" %>
          <%= link "Opportunities", to: Routes.opportunity_path(@conn, :index), class: "btn btn-link" %>
          <%= link "Contacts", to: Routes.contact_path(@conn, :index), class: "btn btn-link" %>
          <%= link "Leads", to: Routes.lead_path(@conn, :index), class: "btn btn-link" %>
        </h3>
      </section>
    </header>
    <main role="main" class="main-container">
      <p class="alert alert-info" role="alert"><%= get_flash(@conn, :info) %></p>
      <p class="alert alert-danger" role="alert"><%= get_flash(@conn, :error) %></p>
      <%= render @view_module, @view_template, assigns %>
    </main>
    <script type="text/javascript" src="<%= Routes.static_path(@conn, "/js/app.js") %>"></script>
  </body>
</html>